Create documentation for Cyberbot II / InternetArchiveBot
Closed, ResolvedPublic5 Story Points

Description

Create some on-wiki documentation, on Meta.wiki, about Cyberbot II / InternetArchiveBot. The documentation should explain all of the things that Cyberbot II currently does, the plans for improving and extending it in the future, and how the bot can be configured for each wiki (See https://en.wikipedia.org/wiki/User:Cyberbot_II/Dead-links). It should also explain a little bit about how it works (via the Internet Archive APIs) and list any known bugs or issues.

Once the documentation is complete, it should be linked to from either the Cyberbot edit summaries or the Cyberbot user pages (or both), as well as from a README in the Cyberbot GitHub repo.

Info that may be useful for this can be found at https://en.wikipedia.org/wiki/Wikipedia:Bots/Requests_for_approval/Cyberbot_II_5.

kaldari created this task.Jan 29 2016, 2:18 AM
kaldari added a project: Community-Tech.
kaldari added a subscriber: kaldari.
Restricted Application added a project: Internet-Archive. · View Herald TranscriptJan 29 2016, 2:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kaldari set Security to None.Jan 29 2016, 2:18 AM
kaldari moved this task from Untriaged to Backlog on the Community-Tech board.
kaldari edited the task description. (Show Details)
kaldari added a subscriber: Cyberpower678.
DannyH edited the task description. (Show Details)Jan 29 2016, 6:26 PM
DannyH edited a custom field.
DannyH added a subscriber: DannyH.Feb 23 2016, 5:16 PM
Thoken added a subscriber: Thoken.Mar 3 2016, 5:38 PM
kaldari closed this task as "Resolved".Apr 18 2016, 5:02 PM

Added configuration guide and roadmap. Linked from Cyberbot user page and README on github.

kaldari moved this task from Ready to Done on the Community-Tech-Sprint board.Apr 18 2016, 5:02 PM
DannyH moved this task from Backlog to Archive on the Community-Tech board.May 3 2016, 4:20 PM